%global mod_name external-monitor-job-plugin
%global short_name external-monitor-job
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-%{mod_name}
Version:        1.4
Release:        %mkrel 5
Group:          Development/Java
Summary:        Jenkins External Monitor Job Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://github.com/jenkinsci/external-monitor-job-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

Patch0:         0001-Remove-animal-sniffer-annotations.patch

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  zip 

BuildArch:      noarch

%description
This package provides Jenkins plugin which adds the ability to monitor
the result of externally executed jobs.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation
for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

%patch0 -p1

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests are disabled, because: "package org.jvnet.hudson.test does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%doc LICENSE.txt
%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt



%changelog
* Fri Mar 11 2016 neoclust <neoclust> 1.4-5.mga6
+ Revision: 989073
- Rebuild against fixed jenkins
- imported package jenkins-external-monitor-job-plugin

